AOWP_PHPArrayElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPArrayElement
/parser/ast/PHPArrayElement.class.php at line 17

# Class AOWP_PHPArrayElement

    AOWP_PHPElement
        └─AOWP_PHPArrayElement

public class AOWP_PHPArrayElement
extends AOWP_PHPElement

PHPのASTにおける「array」を表すクラス。 文法規則: function_call_parameter_list。

Author:
  Ryoto Naruse /

Field Summary
array | $pairs {@link AOWP_PHPArrayPairElement} の配列。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPArrayElement(mixed _line, mixed pairs)

Method Summary
void | __toString()
void | addElement(mixed keyOrValue, mixed value, $value ) 配列の要素を、追加します。 このメソッドは、引き数を1つだけ指定し、要素の値のみを代入する場合と、 キーと値の2つの引き数を指定する呼び出し方が有ります。 引き数の型は、{@link AOWP_PHPVariableElement} or {@link AOWP_PHPReferenceVariableElement} or {@link AOWP_ScalarExprElement} です。
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPArrayElement.class.php at line 23

### pairs

`public array $pairs`

`AOWP_PHPArrayPairElement` の配列。

## Constructor Detail

/parser/ast/PHPArrayElement.class.php at line 25

### AOWP_PHPArrayElement

`public AOWP_PHPArrayElement(mixed _line, mixed pairs)`

## Method Detail

/parser/ast/PHPArrayElement.class.php at line 58

### __toString

`public void __toString()`

/parser/ast/PHPArrayElement.class.php at line 46

### addElement

`public void addElement(mixed keyOrValue, mixed value, $value )`

配列の要素を、追加します。 このメソッドは、引き数を1つだけ指定し、要素の値のみを代入する場合と、 キーと値の2つの引き数を指定する呼び出し方が有ります。 引き数の型は、`AOWP_PHPVariableElement` or `AOWP_PHPReferenceVariableElement` or `AOWP_ScalarExprElement` です。

/parser/ast/PHPArrayElement.class.php at line 62

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr